Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_parser_raptor_parse_as_stream_common

## Name

librdf_parser_raptor_parse_as_stream_common -- Retrieve the content at URI/string and parse it into a librdf_stream

## Synopsis

``librdf_stream* `librdf_parser_raptor_parse_as_stream_common`` (void * `context`, librdf_uri * `uri`, const unsigned char * `string`, librdf_uri * `base_uri`);`

## Arguments

`context`

  parser context

`uri`

  librdf_uri URI of ontent source

`string`

  or content string

`base_uri`

  librdf_uri URI of the content location or NULL if the same

## Description

Only one of uri or string may be given

<<< Previous | Home | Next >>>
librdf_parser_raptor_parse_file_as_stream | Up | librdf_parser_raptor_parse_uri_as_stream